## rmdirtest

#### OS/161 Reference Manual

### Name

rmdirtest - test removing in-use directories

### Synopsis

/testbin/rmdirtest

### Description

rmdirtest creates a test directory, goes into it, removes it, and attempts to do various operations on it. It tries to check that the right things happen, although some cases are beyond its ability to test directly (such as whether storage is leaked).

Note that while it is not legal to remove the `.' entry in a directory, it is perfectly legal to remove a directory by name that happens to be some process's (or your own) current working directory.

### Requirements

rmdirtest uses the following system calls:

- chdir
- close
- __getcwd
- getdirentry
- mkdir
- open
- rmdir
- write
- _exit

rmdirtest should run correctly once the file system assignment is complete.